# Class Statistics

java.lang.Object
gaia.cu9.tools.parallax.util.Statistics

public class Statistics extends Object

## Constructor Summary

Constructors
Constructor
Description
`Statistics()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`max(double[] x)`
`static double`
`mean(double[] x)`
`static double`
`rootMean(double[] x)`
`static double`
`stdDev(double[] x)`
`static double`
`stdDev(double[] x, double mean)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Statistics

public Statistics()

## Method Details

### mean

public static double mean(double[] x)

### rootMean

public static double rootMean(double[] x)

### stdDev

public static double stdDev(double[] x)

### stdDev

public static double stdDev(double[] x, double mean)

### max

public static double max(double[] x)